Jesus Crespo Cuaresma, Martin Feldkircher, and Florian Huber,
"Forecasting with Global Vector Autoregressive Models: A Bayesian
Approach", Journal of Applied Econometrics, Vol. 31, No. 7, 2016,
pp. 1371-1391.

The data folder contains the data used in the study. The rda object
dataList_36c79Q22014-08-05.rda is a list, containing the
country-specific time series and the weighting matrices used. It is
zipped in the file cfh-data.zip.

The R codes used are in two files:

-- bvar_main.R - This script file estimates the country-specific models
under a set of different priors described in the text, includes
smaller helper functions and stacks the different country models to
obtain the global model.

-- data_stuff_EW.R - Loads the data and performs outlier detection.

The data in dataList_36c79Q22014-08-05.rda are also in the files:

-- data_gvar.csv contains the data running from 1979Q1 to 2013Q4 in a
T x M matrix.

-- weights.csv contains the weighting matrix.

These four files are zipped in the file cfh-files.zip. Since they
are ASCII files in DOS format, Unix/Linux users should use "unzip -a".

Replication step-by-step:

1. Unzip the zip folder in a given directory and start R.

2. Within R, change the working directory by typing setwd("your
directory") to the folder created in step (1)

3. Then simply type source("bvar_main.R") to start the replication
script.

Due to the fact that the code depends on some R packages readily
available on CRAN, the end-user might have to install some of them.

IMPORTANT: Estimation takes a lot of time and makes use of parallel
computing. The program assumes that the computer used has four CPU
units available.

Data:

The columns of the data matrix contain the variables for each of the
N=36 countries. Country IDs refer to ISO-2 codes.

Variable codes are the following: 

y: Real GDP, average of 2005=100. Seasonally adjusted, in logarithms. 

Dp: Consumer price inflation. CPI seasonally adjusted, in logarithms 

tc: Total credit (domestic and cross-border), seasonally adjusted and
    in logarithms 

eq: Equity price index (logs) 

rer: Nominal exchange rate vis-a-vis the U.S. dollar, deflated by
     national price levels (CPI)

stir.a: Short-term interest rates, typically 3-months-market rates,
rates per annum 

ltir.a: Long-term interest rates, typically government bond yields,
rates per annum 

exports: Log of total exports (not included in the model) 

imports: Log of total imports (not included in the model) 

poil: Price of oil, seasonally adjusted, in logarithms. 

Trade flows to construct weights: Bilateral data on exports and
imports of goods and services, annual data. Data from the IMF's IFS
database.

Further information on the dataset used may be found in the paper. 

